Subject: Re: AD Evaluation of draft-ietf-atompub-protocol-11

From: Lisa Dusseault <[email-masked]>
Date: Thu, 2 Nov 2006 12:28:25 -0800

On Oct 18, 2006, at 1:04 AM, Sylvain Hellegouarch wrote:

>
>> My assumption: a client cannot create a media resource without also
>> creating a media link entry.  When I POST a media resource to a
>> collection, a media link entry is *always* created.
>
> Same here. Lisa what do you mean by creating a media resource  
> manually?
> If you do not use an APP service to create a media resource then it  
> does
> not fall into APP to tell how this resource will be accessible. To me
> it's like it's not even part of the collection.

I was assuming the opposite of what James assumed, so under my  
personal world-view "create a media resource manually" meant to  
create a media resource without also creating the media link entry at  
the same time.

To illustrate my disconnect more, I'll borrow James Snell's concrete  
example and show what I thought would obtain instead:

On 2006/10/17, at 4:40 PM, James M Snell wrote:

> My assumption: The relationship between a media link entry and a media
> resource is always 1-to-1.  If I want an entry to point to multiple
> media resources, then I would create one media link entry for each  
> media
> resource, then create a separate entry that points to each of the
> individually created media resources.
>
> e.g.,
>
>    entry1 --> pic1
>    entry2 --> pic2
>    entry3 --> pic3
>    entry4 --> pic1
>           --> pic2
>           --> pic3
>
> Entries 1, 2 and 3 will always point to their respective media  
> resources
> (using atom:content/@src).
>

My idea was that if I want to create an entry to point to multiple  
media resources, I might first create the entry as I edit text about  
my fabulous trip to Lisbon,

    entries:
	entry1

Then when I add pictures to the entry I'm editing, my client would  
"manually" create the media resources by posting to the media  
collection, such that no media link entry was created for each of  
them.  At the same time, the client would probably PUT to the entry  
each time to update and add the link to the pictures.

     entries:
	entry1 --> pic1
		 --> pic2
	        --> pic3
    media resources:
	pic1
	pic2
	pic3

Of course this can be done in fewer steps if the client is  
implemented to do editing offline and only upload the whole kaboodle  
when I'm done.  In that scenario, entry2 with images pic4 and pic5  
would be created with a minimum of POSTs and no PUTs, step 1 is  
POSTing the images:

     entries:
	entry1 --> pic1, pic2, pic3
     media resources:
	pic1, pic2, pic3
	NEW pic4
	NEW pic5

Step 2 is POSTing the entry with the links obtained from creating the  
images:

     entries:
	entry1 --> pic1, pic2, pic3
	NEW entry2 --> pic4, pic5
     media resources:
	pic1, pic2, pic3
	pic4
	pic5

I may be wrong about this model and James is likely to be right as  
having followed the discussion more carefully, but I don't believe  
the draft clearly leads the reader to James' model.

Lisa